#pragma once

struct SDate;
class CLifeSpanEstimation
{
public:
	CLifeSpanEstimation(void);
	virtual ~CLifeSpanEstimation(void);
	struct SLifeSpanResult { //y=ax+b̌`Ő肷
		double dValuePerDay;  //a
		double dValueAtEpoch; //b
		boost::posix_time::ptime dTEC;
	};

	SLifeSpanResult GetLifeSpan(const std::vector<SDate> &vDateLog, const std::vector<unsigned int> &vECLog, 
															unsigned int nMaxNum, std::vector<int> *pUsedList) const;

	void UseAllData() {_nLimitType = 0;};
	void UseLimitNum(int nNum) {_nLimitType = 1; _nLimitNum = nNum;}
	void UseLimitDay(int nDay) {_nLimitType = 2; _nLimitDay = nDay;}

	int GetLimitType() const {return _nLimitType;}
	int GetLimitNum() const {return _nLimitNum;}
	int GetLimitDay() const {return _nLimitDay;}
	void SetLimitType(int nType, int nNum, int nDay) { _nLimitType = nType; _nLimitNum = nNum; _nLimitDay = nDay;}

protected: 

	int _nLimitType; //0:Sf[^, 1:VɎw萔̃f[^, 2:Ō̎Ԃ̊
	int _nLimitNum;  //̃f[^g _nLimitType==2̂Ƃgp
	int _nLimitDay; //ߋ̃f[^g
};
