
#pragma once
#include <windows.h>
#include <string>
#include <math.h>
std::wstring widen(const std::string& orig);
std::string narrow(const std::wstring& orig);

std::wstring GetModulePath();
bool RegisterStartup(const wchar_t* sAppName);
bool UnregisterStartup(const wchar_t* sAppName);

bool IsOSWinXP();
bool IsOSVista();

inline int round(double d) {return (int)floor(d+0.5);}

std::wstring GetLastErrorString(DWORD dwErrorNo);

BOOL SetDlgItemULLWithComma(HWND hDlg, int nIDDlgItem, unsigned long long nValue);