// JSMonitor.cpp : AvP[ṼGg |Cg`܂B
//

#include "stdafx.h"
#include "JSMonitor.h"
#include <string>
#include "JSSmart.h"
#include "JSLogger.h"
#include "OutputDebugStream.h"
#include <windowsx.h> 
#include "JSAlert.h"
#include <commctrl.h> 
#include "EraseCountGraph.h"
#include "SettingForSSD.h"
#include <iomanip>
#include <SSDSmart.h>
#include "JSSMart.h"

#pragma comment(lib, "wbemuuid.lib")
#pragma comment(lib, "comctl32.lib")
 
using namespace std;

#define MAX_LOADSTRING 100
#define ID_MAINTIMER 100

// O[oϐ:
HINSTANCE g_hInst;														// ݂̃C^[tFCX
HWND g_hWnd;
TCHAR szTitle[MAX_LOADSTRING];								// ^Cg o[̃eLXg
TCHAR szWindowClass[MAX_LOADSTRING];					// C EBhE NX
static unsigned short g_nPollInterval = 180;  // bɃf[^擾邩
static bool g_bUseMax = false;								// trueȂMaximum Erase CountgAfalseȂAverage Erase Countg
static wstring g_sIniFileName;
static int g_nSelected = 0;

// ̃R[h W[Ɋ܂܂֐̐錾]܂:
ATOM				MyRegisterClass(HINSTANCE hInstance);
BOOL				InitInstance(HINSTANCE, int);
LRESULT CALLBACK	WndProc(HWND, UINT, WPARAM, LPARAM);
INT_PTR CALLBACK	About(HWND, UINT, WPARAM, LPARAM);
INT_PTR CALLBACK	SettingProc(HWND, UINT, WPARAM, LPARAM);
BOOL CALLBACK MainProc(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
void UpdateDialog(HWND hDlg, vector<HWND>& rvSmartDialogs);


int APIENTRY _tWinMain(HINSTANCE hInstance,
                     HINSTANCE hPrevInstance,
                     LPTSTR    lpCmdLine,
                     int       nCmdShow)
{
	UNREFERENCED_PARAMETER(hPrevInstance);
	UNREFERENCED_PARAMETER(lpCmdLine);

	setlocale(LC_ALL,"japanese");
	CreateMutex(NULL, TRUE, _T("JSMonitor"));
	if( GetLastError() == ERROR_ALREADY_EXISTS) {
		MessageBox(NULL, _T("Already Opened!"), _T("JSMonitor"), MB_OK | MB_SYSTEMMODAL);
		return FALSE;
	}
	CJSSmart &rSmart = CJSSmart::GetInstance(); 
	if (rSmart.GetSuitableDriveNum() == 0) {
		MessageBox(NULL, _T("No Suitable Drive!"), _T("JSMonitor"), MB_OK | MB_SYSTEMMODAL);
		return FALSE;
	}
	g_sIniFileName = GetModulePath();
	g_sIniFileName.append(_T("\\JSMonitor.ini"));
	MSG msg;
	HACCEL hAccelTable;
	// O[oĂ܂B
	LoadString(hInstance, IDS_APP_TITLE, szTitle, MAX_LOADSTRING);
	LoadString(hInstance, IDC_JSMONITOR, szWindowClass, MAX_LOADSTRING);
	MyRegisterClass(hInstance);

	// AvP[V̏s܂:
	if (!InitInstance (hInstance, nCmdShow)) return FALSE;
	hAccelTable = LoadAccelerators(hInstance, MAKEINTRESOURCE(IDC_JSMONITOR));
	// C bZ[W [v:
	while (GetMessage(&msg, NULL, 0, 0))
	{
		if (!TranslateAccelerator(msg.hwnd, hAccelTable, &msg))
		{
			TranslateMessage(&msg);
			DispatchMessage(&msg);
		}
	}
	return (int) msg.wParam;
}

ATOM MyRegisterClass(HINSTANCE hInstance)
{
	WNDCLASSEX wcex;
	wcex.cbSize = sizeof(WNDCLASSEX);
	wcex.style			= CS_HREDRAW | CS_VREDRAW;
	wcex.lpfnWndProc	= WndProc;
	wcex.cbClsExtra		= 0;
	wcex.cbWndExtra		= 0;
	wcex.hInstance		= hInstance;
	wcex.hIcon			= LoadIcon(hInstance, MAKEINTRESOURCE(IDI_JSMONITOR));
	wcex.hCursor		= LoadCursor(NULL, IDC_ARROW);
	wcex.hbrBackground	= (HBRUSH)(COLOR_WINDOW+1);
	wcex.lpszMenuName	= MAKEINTRESOURCE(IDC_JSMONITOR);
	wcex.lpszClassName	= szWindowClass;
	wcex.hIconSm		= LoadIcon(wcex.hInstance, MAKEINTRESOURCE(IDI_SMALL));
	return RegisterClassEx(&wcex);
}

BOOL InitInstance(HINSTANCE hInstance, int nCmdShow)
{
//   HWND hWnd;
   g_hInst = hInstance; // O[oϐɃCX^Xi[܂B
   g_hWnd = CreateWindow(szWindowClass, szTitle, WS_OVERLAPPEDWINDOW,
      CW_USEDEFAULT, 0, CW_USEDEFAULT, 0, NULL, NULL, hInstance, NULL);
   if (!g_hWnd) return FALSE;
   UpdateWindow(g_hWnd);
   return TRUE;
}


int setIcon (HWND hw, HICON hicon, const wchar_t* tiptext) {
	int rc;
	NOTIFYICONDATA nid;
  nid.cbSize = sizeof(nid);
  nid.hWnd = hw;
  nid.uID = 0;
  nid.uFlags = NIF_MESSAGE | NIF_ICON | NIF_TIP;
  nid.uCallbackMessage = WM_USER;
  nid.hIcon = hicon;  
	wcscpy_s(nid.szTip, sizeof(nid.szTip), tiptext);
  rc = Shell_NotifyIcon (NIM_ADD, &nid);
  DestroyIcon (hicon);
  return rc;
}

string MakeSequentialString(const vector<string>& rv) {
	ostringstream oss;
	for (size_t i=0; i<rv.size(); ++i) {
		oss << rv[i];
		if (i!=rv.size()-1) oss << ",";
	}
	return oss.str();
}
void MakeIndividualStrings(const string& rs, vector<string>& rv) {
	istringstream iss(rs);
	string s;
	rv.clear();
	while (getline(iss, s, ',')) {
		rv.push_back(s);
	}
}

// ACR̍폜
int deleteIcon (HWND hw) {
	NOTIFYICONDATA nid;
  nid.cbSize = sizeof(nid);
  nid.hWnd = hw;
  nid.uID = 0;
  return Shell_NotifyIcon (NIM_DELETE, &nid);
}

void InitProgram (HWND hWnd) {
	char sBuf[1024];
	setIcon(hWnd,  LoadIcon(g_hInst, MAKEINTRESOURCE(IDI_JSMONITOR)), _T("JSMonitor"));
	CJSSmart &rSmart = CJSSmart::GetInstance();

	g_nPollInterval = GetPrivateProfileInt(_T("GeneralSetting"), _T("PollingInterval"), g_nPollInterval, g_sIniFileName.c_str());
	g_bUseMax = ((GetPrivateProfileInt(_T("LifeSpanEstimationSetting"), _T("UseMax"), g_bUseMax, g_sIniFileName.c_str())) != 0);
	int nSLCMax, nMLCMax;
	double dIDXMultiply;
	boost::tie(nSLCMax, nMLCMax, dIDXMultiply) = CJSStatus::GetEraseCountSpec();
	nMLCMax = GetPrivateProfileInt(_T("LifeSpanEstimationSetting"), _T("MLCMaxNum"), nMLCMax, g_sIniFileName.c_str());
	nSLCMax = GetPrivateProfileInt(_T("LifeSpanEstimationSetting"), _T("SLCMaxNum"), nSLCMax, g_sIniFileName.c_str());
	dIDXMultiply = GetPrivateProfileInt(_T("LifeSpanEstimationSetting"), _T("IDXMultiply"), (int)dIDXMultiply*100, g_sIniFileName.c_str())/100.0;
	CJSStatus::SetEraseCountSpec(nSLCMax, nMLCMax, dIDXMultiply);

	CJSAlert &rAlert = CJSAlert::GetInstance();
	{
		rAlert.SetHWND(hWnd);
		const vector<string>& rvsBalloon = rAlert.GetBalloonAlerts();
		const vector<string>& rvsDialog = rAlert.GetDialogAlerts();
		vector<string> vStrings;
		string sBalloon = MakeSequentialString(rvsBalloon).c_str();
		GetPrivateProfileStringA("AlertSetting", "BalloonAlerts", sBalloon.c_str(), sBuf, 1024, narrow(g_sIniFileName.c_str()).c_str());
		MakeIndividualStrings(sBuf, vStrings);
		rAlert.SetBalloonAlerts(vStrings);
		string sDialog = MakeSequentialString(rvsDialog).c_str();
		GetPrivateProfileStringA("AlertSetting", "DialogAlerts", sDialog.c_str(), sBuf, 1024, narrow(g_sIniFileName.c_str()).c_str());
		MakeIndividualStrings(sBuf, vStrings);
		rAlert.SetDialogAlerts(vStrings);
		rSmart.AddObserver(&rAlert);
	}

	CJSLogger &rLogger = CJSLogger::GetInstance();
	{
		CLifeSpanEstimation &rLSE = rLogger.GetLSE();
		int n11 = rLSE.GetLimitType();
		n11 = GetPrivateProfileInt(_T("LifeSpanEstimationSetting"), _T("LimitType"), n11, g_sIniFileName.c_str());
		int n12 = rLSE.GetLimitNum();
		n12 = GetPrivateProfileInt(_T("LifeSpanEstimationSetting"), _T("LimitNum"),  n12, g_sIniFileName.c_str());
		int n13 = rLSE.GetLimitDay();
		n13 = GetPrivateProfileInt(_T("LifeSpanEstimationSetting"), _T("LimitDay"),  n13, g_sIniFileName.c_str());
		rLSE.SetLimitType(n11, n12, n13);
		rSmart.AddObserver(&rLogger);
	}

	rSmart.Update();
	rAlert.SetLastAttributes(rLogger.GetLastAttributes());
}

LRESULT CALLBACK WndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	int wmId, wmEvent;
	PAINTSTRUCT ps;
	HDC hdc;
	static HMENU hmpop;
	POINT po;
	static HWND hMainDialog = 0;
	static bool bDialogOpened1 = false;
	static bool bDialogOpened2 = false;
	static bool bDialogOpened3 = false;
	static UINT_PTR pTimer;
	switch (message)
	{
	case WM_CREATE:
		try {
			InitProgram(hWnd);
			HMENU hMenu = LoadMenu( NULL, MAKEINTRESOURCE(IDC_POPUP)  );
			hmpop = GetSubMenu( hMenu, 0 );
			pTimer = SetTimer(hWnd , ID_MAINTIMER , 1000*g_nPollInterval , NULL);
			int nStartUp = GetPrivateProfileInt(_T("GeneralSetting"), _T("StartUp"), 0, g_sIniFileName.c_str());
			if (nStartUp != 0) {
				CheckMenuItem( hmpop, IDM_STARTUP, MF_BYCOMMAND | MFS_CHECKED );
			}
			if (IsOSWinXP() || IsOSVista()) {
				EnableMenuItem(hMenu, IDM_SSDSETTING, MF_BYCOMMAND | MF_ENABLED);
			}
			hMainDialog = CreateDialog(g_hInst, MAKEINTRESOURCE(IDD_MAINDIALOG), hWnd, MainProc);
		}
		catch (std::exception &e) {
			MessageBoxA(hWnd, e.what(), "Init Failed", MB_OK | MB_SYSTEMMODAL);
			DestroyWindow (hWnd);
		}
		break;

	case WM_USER:
		if (lParam == WM_RBUTTONDOWN) {  // |bvAbvj[̕\
			GetCursorPos (&po);
			SetForegroundWindow (hWnd);
			SetFocus (hWnd);
			TrackPopupMenu(hmpop , TPM_LEFTALIGN | TPM_BOTTOMALIGN, po.x , po.y , 0 , hWnd , NULL);
			PostMessage (hWnd,WM_NULL,0,0);
		}
		if (lParam == WM_LBUTTONDOWN) {			
			ShowWindow(hMainDialog, SW_SHOW);
			SetForegroundWindow(hMainDialog);
			break;
		}
		break;

	case WM_COMMAND:
		wmId    = LOWORD(wParam);
		wmEvent = HIWORD(wParam);
		// Iꂽj[̉:
		switch (wmId)
		{
		case IDM_SHOWVERSION:
			if (!bDialogOpened1){
				bDialogOpened1 = true;
				DialogBox(g_hInst, MAKEINTRESOURCE(IDD_ABOUTBOX), hWnd, About);
				bDialogOpened1 = false;
			}
			break;
		case IDM_SETTING:
			if (!bDialogOpened2){
				bDialogOpened2 = true;
				DialogBox(g_hInst, MAKEINTRESOURCE(IDD_SETTING), hWnd, SettingProc);
//				UpdateDialog(hMainDialog, vSmartDialogs);
				bDialogOpened2 = false;
				KillTimer(hWnd , pTimer);
				pTimer = SetTimer(hWnd , ID_MAINTIMER , 1000*g_nPollInterval , NULL);
			}
			break;
		case IDM_SSDSETTING:
			if (!bDialogOpened3){
				bDialogOpened3 = true;
				if (GetPrivateProfileInt(_T("GeneralSetting"), _T("ShowWarningDialog"), -1, g_sIniFileName.c_str()) != 0) {
					if (MessageBox(hWnd, _T("̋@\̓WXg𑀍삵܂BsOɂȂ炸WXg̃obNAbv邩A|Cg쐬ĂB\n(̃bZ[W\Ȃ悤ɂɂ́Au͂vĂB)"), _T("JSMonitor Alert"), MB_YESNO) == IDYES) {
					WritePrivateProfileString(_T("GeneralSetting"), _T("ShowWarningDialog"), _T("0"), g_sIniFileName.c_str());
					}
				}
				InitSSDSetting();
				DialogBox(g_hInst, MAKEINTRESOURCE(IDD_SSDSETTING), hWnd, SSDSettingProc);
				bDialogOpened3 = false;
			}
			break;
		case IDM_STARTUP:
			if (GetMenuState( hmpop, IDM_STARTUP, MF_BYCOMMAND ) & MFS_CHECKED) {
				wchar_t sAppName[100];
				LoadString(g_hInst, IDS_APP_TITLE, sAppName, 100);
				CheckMenuItem( hmpop, IDM_STARTUP, MF_BYCOMMAND | MFS_UNCHECKED );
				if (UnregisterStartup(sAppName)) {
					WritePrivateProfileString(_T("GeneralSetting"), _T("StartUp"), _T("0"), g_sIniFileName.c_str());
				}
			}
			else {
				wchar_t sAppName[100];
				LoadString(g_hInst, IDS_APP_TITLE, sAppName, 100);
				CheckMenuItem( hmpop, IDM_STARTUP, MF_BYCOMMAND | MFS_CHECKED );
				if (RegisterStartup(sAppName)) {
					WritePrivateProfileString(_T("GeneralSetting"), _T("StartUp"), _T("1"), g_sIniFileName.c_str());
				}
			}
			break;
		case IDM_FINISH:
		case IDM_EXIT:
			deleteIcon (hWnd);
			DestroyMenu (hmpop);
			DestroyWindow (hWnd);
			break;
		default:
			return DefWindowProc(hWnd, message, wParam, lParam);
		}
		break;
	case WM_PAINT:
		hdc = BeginPaint(hWnd, &ps);
		EndPaint(hWnd, &ps);
		break;
	case WM_DESTROY:
		PostQuitMessage(0);
		break;
	case WM_CLOSE:
		deleteIcon (hWnd);
		DestroyMenu (hmpop);
		DestroyWindow (hWnd);
		return 0;
	case WM_TIMER:
		try {
			CJSSmart::GetInstance().Update();
		}
		catch (std::exception &e) {
			MessageBoxA(hWnd, e.what(), "Update Failed", MB_OK | MB_SYSTEMMODAL);
		}
		break;
	default:
		return DefWindowProc(hWnd, message, wParam, lParam);
	}
	return 0;
}


void UpdateDialog(HWND hDlg, vector<HWND>& rvSmartDialogs) {
	
	HWND hCheckHideSerial = GetDlgItem(hDlg, IDC_HIDESERIAL);
	bool bHideSerial = (Button_GetCheck(hCheckHideSerial) == BST_CHECKED);
	HWND hCombo = GetDlgItem( hDlg, IDC_DEVICE_ENUM);
	CJSSmart &rSmart = CJSSmart::GetInstance();
	rSmart.Update();
	g_nSelected = SendMessage(hCombo, CB_GETCURSEL, 0, 0);

	if (g_nSelected != -1) {
		for (size_t i=0; i<rvSmartDialogs.size(); ++i) {
			ShowWindow(rvSmartDialogs[i], SW_HIDE);
		}
		rSmart.GetSSDStatus()[g_nSelected]->UpdateSSDDialog(rvSmartDialogs, bHideSerial);
	}
	InvalidateRect(hDlg, NULL, true);
	InvalidateRect(GetDlgItem(hDlg, IDC_GRAPH), NULL, true);
}

void SetToolTipInfo(size_t nNo, HWND hParent, vector<pair<HWND, wstring> >& vToolTipInfo) {

	wchar_t sInfo[1000];
	if (nNo == 0) {
		//JMF602pc[`bv
		LoadString(g_hInst, IDS_AVERAGEERASECOUNT , sInfo ,1000);
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_AVERAGE_ERASE_S), wstring(sInfo)));
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_AVERAGE_ERASE), wstring(sInfo)));
		LoadString(g_hInst, IDS_MAXERASECOUNT , sInfo ,1000);
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_MAX_ERASE_S), wstring(sInfo)));
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_MAX_ERASE), wstring(sInfo)));
		LoadString(g_hInst, IDS_GOODBLOCKCOUNT , sInfo ,1000);
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_GOOD_BLOCK_S), wstring(sInfo)));
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_GOOD_BLOCK), wstring(sInfo)));
		LoadString(g_hInst, IDS_SYSTEMBLOCKCOUNT , sInfo ,1000);
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_SYSTEM_BLOCK_S), wstring(sInfo)));
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_SYSTEM_BLOCK), wstring(sInfo)));
		LoadString(g_hInst, IDS_POWERCYCLECOUNT , sInfo ,1000);
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_POWER_CYCLE_S), wstring(sInfo)));
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_POWER_CYCLE), wstring(sInfo)));
		LoadString(g_hInst, IDS_ERRORCORRECTIONCOUNT , sInfo ,1000);
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_ERROR_COUNT), wstring(sInfo)));
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_ERROR_COUNT_S), wstring(sInfo)));
		LoadString(g_hInst, IDS_SERIALNO , sInfo ,1000);
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_SERIALNO_S), wstring(sInfo)));
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_SERIALNO), wstring(sInfo)));
		LoadString(g_hInst, IDS_FIRMWAREDATE , sInfo ,1000);
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_FIRMWAREDATE_S), wstring(sInfo)));
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_FIRMWAREDATE), wstring(sInfo)));
		LoadString(g_hInst, IDS_FIRMWAREVER , sInfo ,1000);
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_FIRMWARE_S), wstring(sInfo)));
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_FIRMWARE), wstring(sInfo)));
		LoadString(g_hInst, IDS_CHANNELS , sInfo ,1000);
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_CHANNEL_S), wstring(sInfo)));
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_CHANNELS), wstring(sInfo)));
		LoadString(g_hInst, IDS_BANKS , sInfo ,1000);
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_BANKS_S), wstring(sInfo)));
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_BANKS), wstring(sInfo)));
		LoadString(g_hInst, IDS_FLASHTYPE, sInfo ,1000);
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_FLASHTYPE_S), wstring(sInfo)));
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_FLASHTYPE), wstring(sInfo)));
		LoadString(g_hInst, IDS_ECBANK, sInfo ,1000);
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_ECBANK), wstring(sInfo)));
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_ECBANK_S), wstring(sInfo)));
		LoadString(g_hInst, IDS_ECCHANNEL, sInfo ,1000);
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_ECCHANNEL), wstring(sInfo)));
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_ECCHANNEL_S), wstring(sInfo)));
		LoadString(g_hInst, IDS_ECADDRESS, sInfo ,1000);
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_ECADDRESS), wstring(sInfo)));
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_ECADDRESS_S), wstring(sInfo)));
		LoadString(g_hInst, IDS_FLASHID, sInfo ,1000);
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_FLASHID), wstring(sInfo)));
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_FLASHID_S), wstring(sInfo)));
		LoadString(g_hInst, IDS_FLASHVENDOR, sInfo ,1000);
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_FLASHVENDOR), wstring(sInfo)));
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_FLASHVENDOR_S), wstring(sInfo)));
		LoadString(g_hInst, IDS_FLASHNAME, sInfo ,1000);
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_FLASHNAME), wstring(sInfo)));
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_FLASHNAME_S), wstring(sInfo)));
	}
	else if (nNo == 1) {
		//Barefootpc[`bv
		LoadString(g_hInst, IDS_FIRMWAREVER , sInfo ,1000);
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_FIRMWARE_S), wstring(sInfo)));
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_FIRMWARE), wstring(sInfo)));
		LoadString(g_hInst, IDS_SERIALNO , sInfo ,1000);
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_SERIALNO_S), wstring(sInfo)));
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_SERIALNO), wstring(sInfo)));
		LoadString(g_hInst, IDS_AVERAGEERASECOUNT , sInfo ,1000);
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_AVERAGE_ERASE_S), wstring(sInfo)));
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_AVERAGE_ERASE), wstring(sInfo)));
		LoadString(g_hInst, IDS_MAXERASECOUNT , sInfo ,1000);
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_MAX_ERASE_S), wstring(sInfo)));
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_MAX_ERASE), wstring(sInfo)));
		LoadString(g_hInst, IDS_MINERASECOUNT , sInfo ,1000);
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_MINIMUM_ERASE_S), wstring(sInfo)));
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_MINIMUM_ERASE), wstring(sInfo)));
		LoadString(g_hInst, IDS_POWERONHOURS, sInfo ,1000);
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_POWER_ON_HOURS_S), wstring(sInfo)));
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_POWER_ON_HOURS), wstring(sInfo)));
		LoadString(g_hInst, IDS_POWERCYCLECOUNT, sInfo ,1000);
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_POWER_CYCLE_S), wstring(sInfo)));
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_POWER_CYCLE), wstring(sInfo)));
		LoadString(g_hInst, IDS_READERRORRATE, sInfo ,1000);
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_READ_ERROR_S), wstring(sInfo)));
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_READ_ERROR), wstring(sInfo)));
		LoadString(g_hInst, IDS_INITIALBADBLOCK, sInfo ,1000);
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_INITIAL_BAD_S), wstring(sInfo)));
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_INITIAL_BAD), wstring(sInfo)));
		LoadString(g_hInst, IDS_PROGRAMFAILURE, sInfo ,1000);
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_PE_FAILURE_S), wstring(sInfo)));
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_PE_FAILURE), wstring(sInfo)));
		LoadString(g_hInst, IDS_ERASEFAILURE, sInfo ,1000);
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_ERASE_FAILURE), wstring(sInfo)));
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_ERASE_FAILURE_S), wstring(sInfo)));
		LoadString(g_hInst, IDS_READFAILURE, sInfo ,1000);
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_READ_FAILURE), wstring(sInfo)));
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_READ_FAILURE_S), wstring(sInfo)));
		LoadString(g_hInst, IDS_TOTALERRORBITS, sInfo ,1000);
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_ERROR_BITS_S), wstring(sInfo)));
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_ERROR_BITS), wstring(sInfo)));
		LoadString(g_hInst, IDS_READSECTORWITHCBE, sInfo ,1000);
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_READ_SECTORS_CBE_S), wstring(sInfo)));
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_READ_SECTORS_CBE), wstring(sInfo)));
		LoadString(g_hInst, IDS_INITIALBADBLOCK, sInfo ,1000);
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_INITIAL_BAD_S), wstring(sInfo)));
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_INITIAL_BAD), wstring(sInfo)));
		LoadString(g_hInst, IDS_MAXPESPEC, sInfo ,1000);
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_MAXIMUM_PE_SPEC_S), wstring(sInfo)));
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_MAXIMUM_PE_SPEC), wstring(sInfo)));
		LoadString(g_hInst, IDS_BADBLOCKFULLFLAG, sInfo ,1000);
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_BAD_BLOCK_FULL_S), wstring(sInfo)));
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_BAD_BLOCK_FULL), wstring(sInfo)));
		LoadString(g_hInst, IDS_READSECTORS, sInfo ,1000);
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_READ_SECTOR_S), wstring(sInfo)));
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_READ_SECTOR), wstring(sInfo)));
		LoadString(g_hInst, IDS_WRITESECTORS, sInfo ,1000);
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_WRITE_SECTOR_S), wstring(sInfo)));
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_WRITE_SECTOR), wstring(sInfo)));
		LoadString(g_hInst, IDS_READCOMMANDS, sInfo ,1000);
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_READ_COMMAND_S), wstring(sInfo)));
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_READ_COMMAND), wstring(sInfo)));
		LoadString(g_hInst, IDS_WRITECOMMANDS, sInfo ,1000);
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_WRITE_COMMAND_S), wstring(sInfo)));
		vToolTipInfo.push_back(make_pair(GetDlgItem(hParent, IDC_WRITE_COMMAND), wstring(sInfo)));
	}
}


vector<HWND> MakeToolTips(HWND hDlg, const vector<HWND> &rvSmartDialogs) {

	vector<HWND> vRes;
	for (size_t j=0; j<rvSmartDialogs.size(); ++j) {
		HWND hParent = rvSmartDialogs[j];
		HWND hTool = CreateWindowEx( 0 , TOOLTIPS_CLASS, NULL, TTS_ALWAYSTIP | TTS_BALLOON,
			CW_USEDEFAULT, CW_USEDEFAULT, CW_USEDEFAULT, CW_USEDEFAULT, hParent, NULL, g_hInst, NULL);
		SendMessage(hTool, TTM_SETMAXTIPWIDTH, 0, (LPARAM)200);
		vector<pair<HWND, wstring> > vToolTipInfo;
		SetToolTipInfo(j, hParent, vToolTipInfo);
		TOOLINFO ti;
		for (size_t i=0; i<vToolTipInfo.size(); ++i) {
			GetWindowRect(vToolTipInfo[i].first, &ti.rect);
			POINT p1={ti.rect.left, ti.rect.top};
			POINT p2={ti.rect.right,ti.rect.bottom};
			ScreenToClient(hParent, &p1);
			ScreenToClient(hParent, &p2);
			ti.rect.left = p1.x;
			ti.rect.right = p2.x;
			ti.rect.top = p1.y;
			ti.rect.bottom = p2.y;
			ti.cbSize = sizeof (TOOLINFO);
			ti.uFlags = TTF_SUBCLASS;
			ti.hwnd = hParent;
			ti.lpszText = (LPWSTR)vToolTipInfo[i].second.c_str();
			SendMessage(hTool , TTM_ADDTOOL , 0 , (LPARAM)&ti);
		}
		SendMessage(hTool, TTM_SETDELAYTIME, (WPARAM)TTDT_AUTOPOP, 120*1000);
		bool bDisableTooltip = (GetPrivateProfileInt(_T("GeneralSetting"), _T("DisableTooltips"), 0, g_sIniFileName.c_str()) != 0);
		if (bDisableTooltip) SendMessage(hTool, TTM_ACTIVATE, (WPARAM)0, 0);
		else SendMessage(hTool, TTM_ACTIVATE, (WPARAM)1, 0);
		SendMessage(hTool, TTM_SETDELAYTIME, (WPARAM)TTDT_AUTOPOP, 1200*1000);
		vRes.push_back(hTool);
	}
	return vRes;
}


void InitMainDialog(HWND hDlg, vector<HWND>& rvSmartDialogs) {

	static bool bInit = false;
	if (bInit) return;
	bInit = true;

	CJSSmart &rSmart = CJSSmart::GetInstance();
	InitCommonControls();

	//checkbox
	bool bHideSerial = (GetPrivateProfileInt(_T("GeneralSetting"), _T("HideSerial"), 0, g_sIniFileName.c_str()) != 0);
	if (bHideSerial) Button_SetCheck(GetDlgItem(hDlg, IDC_HIDESERIAL), BST_CHECKED);
	bool bDisableTooltip = (GetPrivateProfileInt(_T("GeneralSetting"), _T("DisableTooltips"), 0, g_sIniFileName.c_str()) != 0);
	if (bDisableTooltip) Button_SetCheck(GetDlgItem(hDlg, IDC_DISABLETOOLTIPS), BST_CHECKED);

	//combobox
	HWND hCombo = GetDlgItem( hDlg, IDC_DEVICE_ENUM);
	for (size_t i=0; i<rSmart.GetSuitableDriveNum(); ++i) {
		ostringstream sName;
		const CSSDStatus* pStatus = rSmart.GetSSDStatus()[i]->GetStatus();
		sName << pStatus->sModelName << " (Drive #" << pStatus->nDeviceNo ;
		if (pStatus->nDriveSize != 0) {
			double dDriveSize = pStatus->nDriveSize/1000.0/1000.0/1000.0;
			sName << ", " << setprecision(1) << fixed  << dDriveSize << "GB";
		}
		sName << ")";
		int n=SendMessage(hCombo, CB_INSERTSTRING, i, (LPARAM)widen(sName.str()).c_str());
	}
	SendMessage(hCombo, CB_SETCURSEL, 0, 0);

	//_CAO_CAO
	HWND hDlgJMF = CreateDialog(g_hInst, MAKEINTRESOURCE(IDD_JMFPROPERTIES), hDlg, NULL);
	HWND hDlgIDX = CreateDialog(g_hInst, MAKEINTRESOURCE(IDD_IDXPROPERTIES), hDlg, NULL);
	HWND hDummy = GetDlgItem(hDlg, IDC_DUMMY);
	RECT rect;
	GetWindowRect(hDummy, &rect);
	RECT rect2;
	GetClientRect(hDlgJMF, &rect2);
	POINT p1={rect.left, rect.top};
	POINT p2={rect.right, rect.bottom};
	ScreenToClient(hDlg, &p1);
	ScreenToClient(hDlg, &p2);

	SetWindowPos(hDlgIDX, HWND_TOP,  320/2-312/2, p1.y-5, 
											(rect2.right-rect2.left), (rect2.bottom-rect2.top), SWP_NOSIZE|SWP_NOZORDER|SWP_SHOWWINDOW);
	SetWindowPos(hDlgJMF, HWND_TOP,  320/2-312/2, p1.y-5, 
											(rect2.right-rect2.left), (rect2.bottom-rect2.top), SWP_NOSIZE|SWP_NOZORDER|SWP_SHOWWINDOW);
	rvSmartDialogs.push_back(hDlgJMF);
	rvSmartDialogs.push_back(hDlgIDX);
	ShowWindow(hDlgIDX, SW_SHOWNORMAL);
	ShowWindow(hDlgJMF, SW_SHOWNORMAL);
	UpdateDialog(hDlg, rvSmartDialogs);
}


BOOL CALLBACK MainProc(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);
WNDPROC DefStaticProc;

LRESULT CALLBACK GraphProc(HWND hGraph, UINT message, WPARAM wParam, LPARAM lParam)
{
	static int n=0;
	static CEraseCountGraph Graph;
	UNREFERENCED_PARAMETER(lParam);
	PAINTSTRUCT ps;
	int x,y;

	switch (message)
	{
	case WM_COMMAND:
		break;
	case WM_LBUTTONDOWN:
    if( wParam & MK_RBUTTON){
			Graph.ResetScale();
			InvalidateRect(hGraph, NULL, true);
		}
		else {
			x = LOWORD(lParam);
			y = HIWORD(lParam);
			Graph.StartMouseDrag(x,y,true);
		}
		break;
	case WM_RBUTTONDOWN:
    if( wParam & MK_LBUTTON){
			Graph.ResetScale();
			InvalidateRect(hGraph, NULL, true);
		}
		else {
			x = LOWORD(lParam);
			y = HIWORD(lParam);
			Graph.StartMouseDrag(x,y,false);
		}
		break;
	case WM_MOUSEMOVE:
    if( wParam & MK_LBUTTON){
			x = LOWORD(lParam);
			y = HIWORD(lParam);
			if (Graph.MouseDrag(x,y,true)) InvalidateRect(hGraph, NULL, true);
    }
    if( wParam & MK_RBUTTON){
			x = LOWORD(lParam);
			y = HIWORD(lParam);
			if (Graph.MouseDrag(x,y,false)) InvalidateRect(hGraph, NULL, true);
    }
		break;
	case WM_MBUTTONDOWN:
		Graph.ResetScale();
		InvalidateRect(hGraph, NULL, true);
		break;
	case WM_PAINT:
		HDC hdcGraph = BeginPaint(hGraph, &ps);
		RECT rect;
		GetClientRect(hGraph, &rect);
		Graph.DrawGraph(hdcGraph, rect, CJSLogger::GetInstance(), g_nSelected, g_bUseMax);
		EndPaint(hGraph, &ps);
		return FALSE;
	}
	return (CallWindowProc(DefStaticProc, hGraph, message, wParam, lParam)); 
}


void AddLSEString(size_t nDriveNum, std::ostream &os) {
	//LSE
	const CLifeSpanEstimation& rLSE = CJSLogger::GetInstance().GetLSE();
	const CLifeSpanEstimation::SLifeSpanResult* pTECInfo = (CJSLogger::GetInstance().GetLSEResult(nDriveNum, g_bUseMax)).first;
	string sTECDay;
	if (pTECInfo->dTEC.date() == GetEpoch()) {
		sTECDay = "unavailable";
	}
	else {
		sTECDay = boost::gregorian::to_iso_extended_string(pTECInfo->dTEC.date());
		sTECDay[4] = sTECDay[7] = '/';
	}
	os << "Expected T.E.C.:             " << sTECDay << "\r\n";
	os << "T.E.C. Calculated using:     " ;
	if (g_bUseMax) os << "Maximum Erase Count ";
	else os << "Average Erase Count ";
	if (rLSE.GetLimitType() == 0) os << "(All Data)\r\n";
	else if (rLSE.GetLimitType() == 1) os << "(Last " << rLSE.GetLimitNum() << " Data)\r\n";
	else os << "(Last " << rLSE.GetLimitDay() << " Days)\r\n";

}

void CopyDataToClipBoard(bool bHideSerial) {

	if (OpenClipboard(NULL)) {
		stringstream oss;
		wchar_t sAppName[100], sVersion[100], sCopyRight[100];
		LoadString(g_hInst, IDS_APP_TITLE , sAppName ,100);
		LoadString(g_hInst, IDS_CURRENTVERSION , sVersion ,100);
		LoadString(g_hInst, IDS_COPYRIGHT , sCopyRight ,100);
		oss << "-------" << narrow(sAppName) << " " << narrow(sVersion) << "-------"<< "\r\n"; 
		oss << narrow(sCopyRight) << "\r\n";
		for (size_t i=0; i<CJSSmart::GetInstance().GetSuitableDriveNum(); ++i) {
			CJSSmart::GetInstance().GetSSDStatus()[i]->AddStatusDetailString(oss, bHideSerial);
			AddLSEString(i, oss);
		}
		HGLOBAL hText = GlobalAlloc(GMEM_DDESHARE | GMEM_MOVEABLE, oss.str().length()+1);
		char* pText = (char*)GlobalLock(hText);
		strcpy_s(pText, oss.str().size()+1, oss.str().c_str());
		GlobalUnlock(hText);
		EmptyClipboard();
		SetClipboardData(CF_TEXT, hText);
		CloseClipboard();
		GlobalFree(hText);
	}
}

BOOL CALLBACK MainProc(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam)
{
	static int n=0;
	UNREFERENCED_PARAMETER(lParam);
	HDC hdc;
	PAINTSTRUCT ps;
	static vector<HWND> vhTool; //c[`bv
	static vector<HWND> vSmartDialogs; //0: JMF602p, 1: IDX22p
	switch (message)
	{
	case WM_INITDIALOG:
		DefStaticProc = (WNDPROC)GetWindowLong(GetDlgItem(hDlg, IDC_GRAPH) , GWL_WNDPROC);
		SetWindowLong(GetDlgItem(hDlg, IDC_GRAPH), GWL_WNDPROC, (LONG)GraphProc);
		InitMainDialog(hDlg,vSmartDialogs);
		vhTool = MakeToolTips(hDlg, vSmartDialogs);
		UpdateDialog(hDlg, vSmartDialogs);
		InvalidateRect(hDlg , NULL , TRUE);
		return TRUE;
	case WM_SHOWWINDOW:
		if (wParam == 1) {
			UpdateDialog(hDlg, vSmartDialogs);
			InvalidateRect(hDlg , NULL , TRUE);
		}
		return TRUE;
	case WM_COMMAND:
		if ((LOWORD(wParam) == IDOK) || (LOWORD(wParam) == IDCANCEL))
		{
			ShowWindow(hDlg, 0);
			if (Button_GetCheck(GetDlgItem(hDlg, IDC_HIDESERIAL)) == BST_CHECKED) 
				WritePrivateProfileString(_T("GeneralSetting"), _T("HideSerial"), _T("1"), g_sIniFileName.c_str());
			else 
				WritePrivateProfileString(_T("GeneralSetting"), _T("HideSerial"), _T("0"), g_sIniFileName.c_str());
			if (Button_GetCheck(GetDlgItem(hDlg, IDC_DISABLETOOLTIPS)) == BST_CHECKED) 
				WritePrivateProfileString(_T("GeneralSetting"), _T("DisableTooltips"), _T("1"), g_sIniFileName.c_str());
			else 
				WritePrivateProfileString(_T("GeneralSetting"), _T("DisableTooltips"), _T("0"), g_sIniFileName.c_str());
		}
		else if (( (LOWORD(wParam) == IDC_DEVICE_ENUM) && (HIWORD(wParam) == CBN_SELCHANGE)) 			
						|| (LOWORD(wParam) == IDC_UPDATE)
						|| (LOWORD(wParam) == IDC_HIDESERIAL))
		{
			UpdateDialog(hDlg, vSmartDialogs);
		}
		else if (LOWORD(wParam) == IDC_DISABLETOOLTIPS) {
			bool bEnableTooltip = (Button_GetCheck(GetDlgItem(hDlg, IDC_DISABLETOOLTIPS)) != BST_CHECKED);
			for (size_t i=0; i<vhTool.size(); ++i) {
				SendMessage(vhTool[i], TTM_ACTIVATE, (WPARAM)bEnableTooltip, NULL);
			}
		}
		else if (LOWORD(wParam) == IDC_COPY) {
			CopyDataToClipBoard(Button_GetCheck(GetDlgItem(hDlg, IDC_HIDESERIAL)) == BST_CHECKED);
		}
		return TRUE;

	case WM_PAINT:
		hdc = BeginPaint(hDlg, &ps);
		EndPaint(hDlg, &ps);
		return TRUE;
	}
	return FALSE;
}

#include <boost/tuple/tuple.hpp>
#include <boost/assign.hpp>
using namespace boost::assign;

void SetRadio(HWND hDlg, CJSAlert::EAlertType nType, int nRadio1, int nRadio2, int nRadio3) {
	if (nType == CJSAlert::eNoAlert) SendMessage(GetDlgItem(hDlg, nRadio1), BM_CLICK, 0, 0);
	else if (nType == CJSAlert::eBalloon) SendMessage(GetDlgItem(hDlg, nRadio2), BM_CLICK, 0, 0);
	else SendMessage(GetDlgItem(hDlg, nRadio3), BM_CLICK, 0, 0);
}
void GetRadio(HWND hDlg, CJSAlert::EAlertType& nType, int nRadio1, int nRadio2, int nRadio3) {	
	if (Button_GetCheck(GetDlgItem(hDlg, nRadio1)) == BST_CHECKED) nType = CJSAlert::eNoAlert;
	else if (Button_GetCheck(GetDlgItem(hDlg, nRadio2)) == BST_CHECKED) nType = CJSAlert::eBalloon;
	else nType = CJSAlert::eDialog;
}

void SetAlertSettingToDialog(HWND hDlg, const std::map<string, boost::tuple<int, int, int> > rmAlertGroups) {
	const CJSAlert &rAlert = CJSAlert::GetInstance();
	std::map<string, boost::tuple<int, int, int> >::const_iterator it;
	for (it = rmAlertGroups.begin(); it != rmAlertGroups.end(); ++it) {
		SetRadio(hDlg, CJSAlert::eNoAlert, it->second.get<0>(), it->second.get<1>(), it->second.get<2>());
	}
	const vector<string> &rvsBalloon = rAlert.GetBalloonAlerts();
	for (size_t i=0; i<rvsBalloon.size(); ++i) {
		it = rmAlertGroups.find(rvsBalloon[i]);
		if (it != rmAlertGroups.end()) {
			SetRadio(hDlg, CJSAlert::eBalloon, it->second.get<0>(), it->second.get<1>(), it->second.get<2>());
		}
	}
	const vector<string> rvsDialog = rAlert.GetDialogAlerts();
	for (size_t i=0; i<rvsDialog.size(); ++i) {
		it = rmAlertGroups.find(rvsDialog[i]);
		if (it != rmAlertGroups.end()) {
			SetRadio(hDlg, CJSAlert::eDialog, it->second.get<0>(), it->second.get<1>(), it->second.get<2>());
		}
	}
}

void GetAlertSettingFromDialog(HWND hDlg, const std::map<string, boost::tuple<int, int, int> > rmAlertGroups) {
	CJSAlert &rAlert = CJSAlert::GetInstance();
	vector<string> vsBallons;
	vector<string> vsDialogs;
	CJSAlert::EAlertType nType;

	std::map<string, boost::tuple<int, int, int> >::const_iterator it;
	for (it = rmAlertGroups.begin(); it != rmAlertGroups.end(); ++it) {
		GetRadio(hDlg, nType, it->second.get<0>(), it->second.get<1>(), it->second.get<2>());
		if (nType == CJSAlert::eBalloon) {
			vsBallons.push_back(it->first);
		}
		else if (nType == CJSAlert::eDialog) {
			vsDialogs.push_back(it->first);
		}
		else {
		}
	}
	rAlert.SetBalloonAlerts(vsBallons);
	rAlert.SetDialogAlerts(vsDialogs);
}

INT_PTR CALLBACK SettingProc(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam)
{
	static HWND hSpinSec, hSpinTECMLC, hSpinTECSLC, hSpinTECNum, hSpinTECDate;
	static HWND hEditSec, hEditTECMLC, hEditTECSLC, hEditTECNum, hEditTECDate;
	static HWND hEditTECBAR, hSpinTECBAR;
	static int nNo; 
	static CLifeSpanEstimation &rLSE = CJSLogger::GetInstance().GetLSE();
	static std::map<string, boost::tuple<int, int, int> > mAlertGroups;
	int nLimitType, nLimitDate, nLimitNum;

	switch (message) { 
	case WM_INITDIALOG: 
		hSpinSec = GetDlgItem(hDlg, IDC_SPINSEC); 
		hEditSec = GetDlgItem(hDlg, IDC_EDITSEC); 
		hSpinTECMLC = GetDlgItem(hDlg, IDC_SPIN_TEC_MLC);
		hEditTECMLC = GetDlgItem(hDlg, IDC_EDIT_TEC_MLC);
		hSpinTECSLC = GetDlgItem(hDlg, IDC_SPIN_TEC_SLC);
		hEditTECSLC = GetDlgItem(hDlg, IDC_EDIT_TEC_SLC);
		hSpinTECBAR = GetDlgItem(hDlg, IDC_SPIN_TEC_BAREFOOT);
		hEditTECBAR = GetDlgItem(hDlg, IDC_EDIT_TEC_BAREFOOT);
		hSpinTECNum = GetDlgItem(hDlg, IDC_SPIN_TEC_NUM);
		hEditTECNum = GetDlgItem(hDlg, IDC_EDIT_TEC_NUM);
		hSpinTECDate = GetDlgItem(hDlg, IDC_SPIN_TEC_DATE);
		hEditTECDate = GetDlgItem(hDlg, IDC_EDIT_TEC_DATE);
		mAlertGroups.clear();
		mAlertGroups += 
			make_pair(string("Average Erase Count"), boost::make_tuple<int, int, int>(IDC_RADIO_AEC_NO, IDC_RADIO_AEC_BAL, IDC_RADIO_AEC_DIA)),
			make_pair(string("Maximum Erase Count"), boost::make_tuple<int, int, int>(IDC_RADIO_MEC_NO, IDC_RADIO_MEC_BAL, IDC_RADIO_MEC_DIA)),
			make_pair(string("Good Block Count"), boost::make_tuple<int, int, int>(IDC_RADIO_GBC_NO, IDC_RADIO_GBC_BAL, IDC_RADIO_GBC_DIA)),
			make_pair(string("System Block Count"), boost::make_tuple<int, int, int>(IDC_RADIO_SBC_NO, IDC_RADIO_SBC_BAL, IDC_RADIO_SBC_DIA)),
			make_pair(string("ECC Fail Count"), boost::make_tuple<int, int, int>(IDC_RADIO_ECC_NO, IDC_RADIO_ECC_BAL, IDC_RADIO_ECC_DIA)),
			make_pair(string("Minimum Erase Count"), boost::make_tuple<int, int, int>(IDC_RADIO_MINEC_NO, IDC_RADIO_MINEC_BAL, IDC_RADIO_MINEC_DIA)),
			make_pair(string("Read Error Rate"), boost::make_tuple<int, int, int>(IDC_RADIO_RER_NO, IDC_RADIO_RER_BAL, IDC_RADIO_RER_DIA)),
			make_pair(string("Program Failure Block Count"), boost::make_tuple<int, int, int>(IDC_RADIO_PFB_NO, IDC_RADIO_PFB_BAL, IDC_RADIO_PFB_DIA)),
			make_pair(string("Erase Failure Block Count"), boost::make_tuple<int, int, int>(IDC_RADIO_EFB_NO, IDC_RADIO_EFB_BAL, IDC_RADIO_EFB_DIA)),
			make_pair(string("Read Failure Block Count"), boost::make_tuple<int, int, int>(IDC_RADIO_RFB_NO, IDC_RADIO_RFB_BAL, IDC_RADIO_RFB_DIA)),
			make_pair(string("Total Error Bits Count"), boost::make_tuple<int, int, int>(IDC_RADIO_EBC_NO, IDC_RADIO_EBC_BAL, IDC_RADIO_EBC_DIA)),
			make_pair(string("Read Sectors with CBE Count"), boost::make_tuple<int, int, int>(IDC_RADIO_CBE_NO, IDC_RADIO_CBE_BAL, IDC_RADIO_CBE_DIA)),
			make_pair(string("Bad Block Full Flag"), boost::make_tuple<int, int, int>(IDC_RADIO_BBF_NO, IDC_RADIO_BBF_BAL, IDC_RADIO_BBF_DIA));

		SetAlertSettingToDialog(hDlg, mAlertGroups);
		int nSLCMax, nMLCMax;
		double dIDXMultiply;
		boost::tie(nSLCMax, nMLCMax, dIDXMultiply) = CJSStatus::GetEraseCountSpec();
		SendMessage(hSpinSec, UDM_SETRANGE32, (WPARAM)5, (LPARAM)99999); 
		SendMessage(hSpinSec, UDM_SETPOS32, 0, (LPARAM)g_nPollInterval);
		SendMessage(hSpinTECSLC, UDM_SETRANGE32, (WPARAM)1, (LPARAM)9999999); 
		SendMessage(hSpinTECSLC, UDM_SETPOS32, 0, (LPARAM)nSLCMax);
		SendMessage(hSpinTECMLC, UDM_SETRANGE32, (WPARAM)1, (LPARAM)9999999); 
		SendMessage(hSpinTECMLC, UDM_SETPOS32, 0, (LPARAM)nMLCMax);
		SendMessage(hSpinTECNum, UDM_SETRANGE32, (WPARAM)3, (LPARAM)999999);
		SendMessage(hSpinTECNum, UDM_SETPOS32, 0, (LPARAM)rLSE.GetLimitNum());
		SendMessage(hSpinTECDate, UDM_SETRANGE32, (WPARAM)1, (LPARAM)999999);
		SendMessage(hSpinTECDate, UDM_SETPOS32, 0, (LPARAM)rLSE.GetLimitDay());
		SendMessage(hSpinTECBAR, UDM_SETRANGE32, (WPARAM)1, (LPARAM)1000);
		SendMessage(hSpinTECBAR, UDM_SETPOS32, 0, (LPARAM)(dIDXMultiply*100));

		if (rLSE.GetLimitType() == 0)				Button_SetCheck(GetDlgItem(hDlg, IDC_RADIO_TEC_ALLDATA), BST_CHECKED);
		else if (rLSE.GetLimitType() == 1)  Button_SetCheck(GetDlgItem(hDlg, IDC_RADIO_TEC_NUM), BST_CHECKED);
		else																Button_SetCheck(GetDlgItem(hDlg, IDC_RADIO_TEC_DATE), BST_CHECKED);

		if (g_bUseMax) Button_SetCheck(GetDlgItem(hDlg, IDC_RADIO_TEC_USE_MAX), BST_CHECKED);
		else Button_SetCheck(GetDlgItem(hDlg, IDC_RADIO_TEC_USE_AVERAGE), BST_CHECKED);
		SetWindowPos(hDlg, HWND_TOPMOST, 0, 0, 0, 0, SWP_NOMOVE | SWP_NOSIZE);
		return (INT_PTR)TRUE; 
	case WM_COMMAND: 
		switch (LOWORD(wParam)) { 
			wchar_t buf[10];
		case IDOK:
			{
			//Alert
			GetAlertSettingFromDialog(hDlg, mAlertGroups);
			//UseMax
			if (Button_GetCheck(GetDlgItem(hDlg, IDC_RADIO_TEC_USE_MAX))) g_bUseMax = true;
			else g_bUseMax = false;
			_itow_s(g_bUseMax, buf, 10, 10);
			WritePrivateProfileString(_T("LifeSpanEstimationSetting"), _T("UseMax"), buf, g_sIniFileName.c_str());
			//pollingInterval
			Edit_GetText(hEditSec,buf,sizeof(buf));
			int nInterval = _wtoi(buf);
			if ((nInterval != 0) && (nInterval != LONG_MIN)) {
				g_nPollInterval = nInterval;
				WritePrivateProfileString(_T("GeneralSetting"), _T("PollingInterval"), buf, g_sIniFileName.c_str());
			}
			//TEC Setting
			Edit_GetText(hEditTECMLC,buf,sizeof(buf));
			int nMLCMaxNum = _wtoi(buf);
			Edit_GetText(hEditTECSLC,buf,sizeof(buf));
			int nSLCMaxNum = _wtoi(buf);
			Edit_GetText(hEditTECBAR,buf,sizeof(buf));
			int nIDXMulti = _wtoi(buf);
			if ((nMLCMaxNum != 0) && (nMLCMaxNum != LONG_MIN) &&
					(nSLCMaxNum != 0) && (nSLCMaxNum != LONG_MIN) &&
					(nIDXMulti != 0) && (nIDXMulti != LONG_MIN) )
			{
				_itow_s(nMLCMaxNum, buf, 10, 10);
				WritePrivateProfileString(_T("LifeSpanEstimationSetting"), _T("MLCMaxNum"), buf, g_sIniFileName.c_str());
				_itow_s(nSLCMaxNum, buf, 10, 10);
				WritePrivateProfileString(_T("LifeSpanEstimationSetting"), _T("SLCMaxNum"), buf, g_sIniFileName.c_str());
				_itow_s(nIDXMulti, buf, 10, 10);
				WritePrivateProfileString(_T("LifeSpanEstimationSetting"), _T("IDXMultiply"), buf, g_sIniFileName.c_str());
				CJSStatus::SetEraseCountSpec(nSLCMaxNum, nMLCMaxNum, nIDXMulti/100.0);
			}
			//LSE Limit
			if (Button_GetCheck(GetDlgItem(hDlg, IDC_RADIO_TEC_ALLDATA))) nLimitType = 0;
			else if (Button_GetCheck(GetDlgItem(hDlg, IDC_RADIO_TEC_NUM))) nLimitType = 1;
			else nLimitType = 2;
			_itow_s(nLimitType, buf, 10, 10);
			Edit_GetText(hEditTECDate,buf,sizeof(buf));
			nLimitDate = _wtoi(buf);
			Edit_GetText(hEditTECNum,buf,sizeof(buf));
			nLimitNum = _wtoi(buf);
			if ((nLimitDate != 0) && (nLimitDate != LONG_MIN) &&
				  (nLimitNum != 0) && (nLimitNum != LONG_MIN) )
			{
				_itow_s(nLimitType, buf, 10, 10);
				WritePrivateProfileString(_T("LifeSpanEstimationSetting"), _T("LimitType"), buf, g_sIniFileName.c_str());
				_itow_s(nLimitDate, buf, 10, 10);
				WritePrivateProfileString(_T("LifeSpanEstimationSetting"), _T("LimitDay"), buf, g_sIniFileName.c_str());
				_itow_s(nLimitNum, buf, 10, 10);
				WritePrivateProfileString(_T("LifeSpanEstimationSetting"), _T("LimitNum"), buf, g_sIniFileName.c_str());
				rLSE.SetLimitType(nLimitType, nLimitNum, nLimitDate);
			}

			WritePrivateProfileStringA("AlertSetting", "DialogAlerts", MakeSequentialString(CJSAlert::GetInstance().GetDialogAlerts()).c_str(), narrow(g_sIniFileName.c_str()).c_str());
			WritePrivateProfileStringA("AlertSetting", "BalloonAlerts", MakeSequentialString(CJSAlert::GetInstance().GetBalloonAlerts()).c_str(), narrow(g_sIniFileName.c_str()).c_str());

			CJSLogger::GetInstance().GetLSE(); //reset
			EndDialog(hDlg, IDOK);
			return (INT_PTR)TRUE;
			}
		case IDCANCEL: 
			EndDialog(hDlg, IDOK); 
			return (INT_PTR)TRUE;
		/*
		if (lParam == (LPARAM)hEditSec && HIWORD(wParam) == EN_CHANGE) { 
			nNo = (int)SendMessage(hSpinSec, UDM_GETPOS, 0, 0); 
			return (INT_PTR)TRUE; 
		}
		*/
		}
	}
	return (INT_PTR)FALSE; 
}

// o[W{bNX̃bZ[W nhłB
INT_PTR CALLBACK About(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam)
{
	UNREFERENCED_PARAMETER(lParam);
	switch (message)
	{
	case WM_INITDIALOG:
		SetWindowPos(hDlg, HWND_TOPMOST, 0, 0, 0, 0, SWP_NOMOVE | SWP_NOSIZE);
		return (INT_PTR)TRUE;

	case WM_COMMAND:
		if (LOWORD(wParam) == IDOK || LOWORD(wParam) == IDCANCEL)
		{
			EndDialog(hDlg, LOWORD(wParam));
			return (INT_PTR)TRUE;
		}
		break;
	}
	return (INT_PTR)FALSE;
}
